#### PyKDE - Python Bindings for KDE

# class KShred |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KShred
Inherits | QObject

### methods

- KShred (fileName)

  returns a KShred instance
  Argument | Type | Default
  --- | --- | ---
  fileName | QString |

- fill0s ()

  returns (bool)

- fill1s ()

  returns (bool)

- fillbyte (byte)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  byte | uint |

- fillpattern (pattern, size)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  pattern | uchar |
  size | uint |

- fillrandom ()

  returns (bool)

- infoMessage (message)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  message | QString |

- processedSize (bytes)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  bytes | KIO.filesize_t |

- shred ()

  returns (bool)

- shred (fileName)

  returns (bool)
  static
  Argument | Type | Default
  --- | --- | ---
  fileName | QString |